complexType "Payment"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 attributes, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 9 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
href | = | xsd:IDREF
| >
Content: | paymentAmount, paymentDate?, paymentType?
</...>

Content Model Elements (3):

  paymentAmount (defined in Payment complexType), paymentDate (defined in Payment complexType), | paymentType (defined in Payment complexType)

All Direct / Indirect Based Elements (9):

  additionalPayment (defined in Swap complexType), additionalPayment (in capFloor), exchangedCurrency1, exchangedCurrency2, payment (defined in TradeAlterationPayment.model group), | payment (defined in TradeChangeContent complexType), payment (in novation), premium (in capFloor), premium (in swaption)

Known Usage Locations

- As direct type of elements (9):

  additionalPayment (defined in Swap complexType), additionalPayment (in capFloor), exchangedCurrency1, exchangedCurrency2, payment (defined in TradeAlterationPayment.model group), | payment (defined in TradeChangeContent complexType), payment (in novation), premium (in capFloor), premium (in swaption)

Annotation
A type for defining payments
Type Definition Detail

Type Derivation Tree PaymentBase (extension) Payment

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Payment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="paymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrAdjustedDate"/> <xsd:element minOccurs="0" name="paymentType" type="PaymentType"/> <!--View Generation: SKIPPED settlementInformation - Documentation--> <!--View Generation: SKIPPED discountFactor - NonStandardFeature--> <!--View Generation: SKIPPED presentValueAmount - NonStandardFeature--> </xsd:sequence> <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF"/> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/2)
href

  Type: | xsd:IDREF, predefined
  Use: | optional

  Can be used to reference the yield curve used to estimate the discount factor
  XML Source (w/o annotations (1); see within schema source)

  <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
paymentAmount

  Type: | NonNegativeMoney, complex content

  The currency amount of the payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentAmount" type="NonNegativeMoney"/>

paymentDate

  Type: | AdjustableOrAdjustedDate, complex content

  The payment date. This date is subject to adjustment in accordance with any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrAdjustedDate"/>

paymentType

  Type: | PaymentType, simple content

  A classification of the type of fee or additional payment, e.g. brokerage, upfront fee etc. FpML does not define domain values for this element.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentType" type="PaymentType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.